Subject: Re: bug#77233: 31.0.50; crash if message starts with a space and then without it

From: Pip Cet <[email-masked]>
Date: Mon, 24 Mar 2025 19:24:08 +0000

Gerd Möllmann <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> > Can anyone else reproduce this?
>>>
>>> I can, on GNU/Linux with no special options and in an xterm.
>>
>> And you can explain how come curX(tty) got such a large value?
>>
>>> Reverting 6fb68f4310d808827b83da053fbc112b316b7757 avoids the crash.
>>
>> Adding Gerd.
>
> I think I can reproduce this, but I can't take a closer look
> for a couple of days or so.
>
> If it's urgent, maybe try to comment out the emacs_abort in cmcheckmagic
> and see if that suffices.

That avoids the crash here, and things work fine in an xterm, but it
means we printed a character with the cursor at (cols-1,rows-1), which
allegedly would have caused some (old, I assume?) terminals to scroll by
a line, destroying the entire Emacs layout...

However, xterm and M-x term both handle this situation sensibly, not
scrolling the frame.  Is anyone aware of a terminal emulator that
scrolls in this situation?

Pip